category: example
name: Leaf
attributes:
  local_fields: []
  ref_fields: []
methods:
  class_methods: []
  instance_methods: []
persistence: true
abstract: false
api_generation: false
extends:
  - Component